Mailmus

Seed list

GET
/projects/{projectId}/seed-list
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Response Body

application/json

curl -X GET "https://example.com/projects/string/seed-list"
[  {    "id": "string",    "appId": "string",    "email": "test-gmail@exemple.com",    "label": "string",    "createdAt": "2019-08-24T14:15:22Z"  }]
POST
/projects/{projectId}/seed-list
AuthorizationBearer <token>

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/projects/string/seed-list" \  -H "Content-Type: application/json" \  -d '{    "email": "moi@gmail.com"  }'
{  "id": "string",  "appId": "string",  "email": "test-gmail@exemple.com",  "label": "string",  "createdAt": "2019-08-24T14:15:22Z"}
DELETE
/projects/{projectId}/seed-list/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
projectId*string

Response Body

application/json

curl -X DELETE "https://example.com/projects/string/seed-list/string"
{  "deleted": true}